Subject: Re: [PATCH v2 -next 0/2] dpaa2: fix config relation with FSL_DPAA2_SWITCH

From: Simon Horman <[email-masked]>
Date: Tue, 10 Mar 2026 18:00:34 +0000

On Mon, Mar 09, 2026 at 12:50:16PM +0000, Cai Xinchen wrote:
> When compile FSL_DPAA2_SWITCH, it needs to set CONFIG_FSL_DPAA2_ETH=y,
> otherwise it cannot be compiled.
> And as Ioana Ciornei sugggested, FSL_DPAA2_SWITCH included dpaa2-mac.o in
> the driver, but it does not select PCS_LYNX, PHYLINK and FSL_XGMAC_MDIO
> 
> v1->v2
> There is no code dependency between the dpaa2-switch driver and the
> dpaa2-eth, so use Makefile to control dpaa2-eth instead of using depending
> on in Kconfig.
> And add select PCS_LYNX, PHYLINK and FSL_XGMAC_MDIO for FSL_DPAA2_SWITCH.

Thanks.

For the series,

Reviewed-by: Simon Horman <[email-masked]>